searchData={"items":[{"type":"module","title":"EasyHTML","doc":"EasyHTML makes working with HTML easy.\n\nIt is a tiny wrapper around [Floki](https://hex.pm/packages/floki) that adds conveniences:\n\n  * An `Inspect` implementation to pretty-print them\n  * An `Access` implementation to search them\n  * An `Enumerable` implementation to traverse them\n  * A `String.Chars` implementation to convert them to text","ref":"EasyHTML.html"},{"type":"module","title":"Examples - EasyHTML","doc":"iex> doc = EasyHTML.parse!(\" Hello,  world ! \")\n    ~HTML[ Hello,  world ! ]\n    iex> doc[\"em\"]\n    ~HTML[ world ]\n    iex> to_string(doc)\n    \"Hello, world!\"\n\n    iex> import EasyHTML, only: :sigils\n    iex> doc = ~HTML[  foo  bar  ]\n    iex> Enum.to_list(doc[\"li\"])\n    [~HTML[ foo ], ~HTML[ bar ]]","ref":"EasyHTML.html#module-examples"},{"type":"function","title":"EasyHTML.parse!/1","doc":"Parses a string into an EasyHTML struct.","ref":"EasyHTML.html#parse!/1"},{"type":"function","title":"Examples - EasyHTML.parse!/1","doc":"iex> EasyHTML.parse!(\" Hello,  World ! \")\n    ~HTML[ Hello,  World ! ]","ref":"EasyHTML.html#parse!/1-examples"},{"type":"macro","title":"EasyHTML.sigil_HTML/2","doc":"Handles the `~HTML` sigil to create an EasyHTML struct.","ref":"EasyHTML.html#sigil_HTML/2"},{"type":"macro","title":"Examples - EasyHTML.sigil_HTML/2","doc":"~HTML[ Hello,  World ! ]","ref":"EasyHTML.html#sigil_HTML/2-examples"},{"type":"function","title":"EasyHTML.to_string/1","doc":"Extracts text from the EasyHTML struct.","ref":"EasyHTML.html#to_string/1"},{"type":"function","title":"Examples - EasyHTML.to_string/1","doc":"iex> EasyHTML.to_string(~HTML[ Hello,  World ! ])\n    \"Hello, World!\"","ref":"EasyHTML.html#to_string/1-examples"},{"type":"extras","title":"EasyHTML","doc":"# EasyHTML\n\n[![Version](https://img.shields.io/hexpm/v/easyhtml.svg)](https://hex.pm/packages/easyhtml)\n[![CI](https://github.com/wojtekmach/easyhtml/actions/workflows/ci.yml/badge.svg)](https://github.com/wojtekmach/easyhtml/actions/workflows/ci.yml)\n\nEasyHTML makes working with HTML easy.\n\nIt is a tiny wrapper around [Floki](https://hex.pm/packages/floki) that adds conveniences:\n\n  * An `Inspect` implementation to pretty-print them\n  * An `Access` implementation to search them\n  * An `Enumerable` implementation to traverse them\n  * A `String.Chars` implementation to convert them to text","ref":"readme.html"},{"type":"extras","title":"Usage - EasyHTML","doc":"```elixir\nMix.install([\n  {:easyhtml, \"~> 0.3.0\"}\n])\n\ndoc = EasyHTML.parse!(\" Hello,  world ! \")\n#=> ~HTML[ Hello,  world ! ]\n\ndoc[\"em\"]\n#=> ~HTML[ world ]\n\nto_string(doc)\n#=> \"Hello, world!\"\n\nimport EasyHTML, only: :sigils\ndoc = ~HTML[  foo  bar  ]\nEnum.to_list(doc[\"li\"])\n#=> [~HTML[ foo ], ~HTML[ bar ]]\n```","ref":"readme.html#usage"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.3.1 (2023-12-11) - CHANGELOG","doc":"* Make comparisons work for nested tags","ref":"changelog.html#v0-3-1-2023-12-11"},{"type":"extras","title":"v0.3.0 (2023-06-01) - CHANGELOG","doc":"* Add `~HTML` sigil","ref":"changelog.html#v0-3-0-2023-06-01"},{"type":"extras","title":"v0.2.0 (2023-05-19) - CHANGELOG","doc":"* `doc[selector]` now returns `nil` if no nodes were found.","ref":"changelog.html#v0-2-0-2023-05-19"},{"type":"extras","title":"v0.1.1 (2022-12-22) - CHANGELOG","doc":"* Relax Floki dependency.","ref":"changelog.html#v0-1-1-2022-12-22"},{"type":"extras","title":"v0.1.0 (2022-08-24) - CHANGELOG","doc":"* Initial release.","ref":"changelog.html#v0-1-0-2022-08-24"}],"content_type":"text/markdown"}